Name:           amahi-darkstat
Version: 0.1
Release:        4 

Summary:        amahi-darkstat captures network traffic, calculates statistics about usage, and serves reports over HTTP.

Group:          System Environment/Daemons
Source:			%{name}-%{version}.tar.gz
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: darkstat 

%define debug_package %{nil}

%description
amahi-darkstat captures network traffic, calculates statistics about usage, and serves reports over HTTP.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/cache/darkstat
touch $RPM_BUILD_ROOT/var/cache/darkstat/darkstat.db

install -m 0755 -D -p amahi-darkstat.initscript ${RPM_BUILD_ROOT}%{_initrddir}/amahi-darkstat


%clean
rm -rf $RPM_BUILD_ROOT
%pre

%post
/sbin/chkconfig --add amahi-darkstat
/sbin/chkconfig amahi-darkstat on
/sbin/service amahi-darkstat start 2>&1 > /dev/null

%preun

if [ "$1" != 0 ]; then
	/sbin/service amahi-darkstat condrestart 2>&1 > /dev/null
else
	# not an update, a complete uninstall
	/sbin/service amahi-darkstat stop 2>&1 > /dev/null
	/sbin/chkconfig --del amahi-darkstat
fi

%files
%defattr(-,root,root,-)
%{_initrddir}/amahi-darkstat
%attr(0775,apache,users) /var/cache/darkstat

%changelog
* Thu Jun 23 2009 Filipe Felisberto
- started
